Name: freepv
Version: 0.3.0
Release: alt2

Packager: Victor Forsyuk <force@altlinux.org>

Summary: Opensource panorama viewer
License: LGPLv2.1
Group: Graphics

URL: http://freepv.sourceforge.net/
Source: http://downloads.sourceforge.net/freepv/freepv-%version.tar.gz
Patch1: freepv-0.3.0-stdio.patch
Patch2: freepv-0.3.0-constchar.patch
Patch3: freepv-0.3.0-desktop.patch

# Automatically added by buildreq on Tue Oct 06 2009
BuildRequires: cmake gcc-c++ libGL-devel libXScrnSaver-devel libXau-devel libXcomposite-devel libXcursor-devel libXdmcp-devel libXext-devel libXft-devel libXi-devel libXinerama-devel libXpm-devel libXrandr-devel libXt-devel libXtst-devel libXv-devel libXxf86misc-devel libfreeglut-devel libjpeg-devel libpng-devel libxkbfile-devel libxml2-devel seamonkey-devel xml-utils

# We need %%%browser_plugins_path macro:
BuildRequires: browser-plugins-npapi-devel

%description
freepv is an open source panorama viewer, development is at an early
stage, but features already include:
* Hardware acceleration
* Cubic Projection and Cylindrical Projection panoramas
* QTVR support
* mozilla/firefox plugin
* standalone viewer
* inertial motion similar to SPi-V

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1

# Fix hardcoded plugins path
%__subst 's.${LIBDIR}/mozilla/plugins.%browser_plugins_path.' src/freepv-mozilla/CMakeLists.txt

%build
%if "%_libdir" == "/usr/lib64"
%define libsuffix 64
%else
%define libsuffix %nil
%endif
cmake -DCMAKE_INSTALL_PREFIX=/usr -DLIB_SUFFIX=%libsuffix .
# quick hack to link in --as-needed mode, just add -ljpeg to LIBS
%make_build LIBS="-lz -ljpeg"

%install
%make_install install DESTDIR=%buildroot

%files
%_bindir/*
%_desktopdir/*
%browser_plugins_path/*.so
%exclude %_includedir
%exclude %_libdir/*.a

%changelog
* Tue Oct 06 2009 Victor Forsyuk <force@altlinux.org> 0.3.0-alt2
- Fix repocop warnings.
- Rebuilt with browser-plugins-npapi.

* Tue Jun 16 2009 Victor Forsyuk <force@altlinux.org> 0.3.0-alt1
- 0.3.0

* Tue Dec 02 2008 Victor Forsyuk <force@altlinux.org> 0.1-alt4
- Renew build requirements to fix FTBFS.

* Thu Nov 13 2008 Victor Forsyuk <force@altlinux.org> 0.1-alt3
- Fix FTBFS with gcc43.

* Fri Oct 10 2008 Victor Forsyuk <force@altlinux.org> 0.1-alt2
- Renew build requirements to fix FTBFS.

* Thu Jul 19 2007 Victor Forsyuk <force@altlinux.org> 0.1-alt1
- Initial build.
